// MaintMsg.h: interface for the CMaintMsg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINTMSG_H__05EBA7B1_C09C_4C1C_9819_E176E2821808__INCLUDED_)
#define AFX_MAINTMSG_H__05EBA7B1_C09C_4C1C_9819_E176E2821808__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef  BUILD_MCCTRDLL
#define     MCCTRDLLCLASS   __declspec(dllexport)
#else
#define     MCCTRDLLCLASS   __declspec(dllimport)
#endif

class MCCTRDLLCLASS CMaintMsg
{
public:
    static CString GetMaintMsg();
    static void    ClearMaintMsg();
    static bool    IsMsgAvailable();
    static void    SetMaintMsg(CString csMsg);
    CMaintMsg();
    virtual ~CMaintMsg();

private:
    static CString m_csMaintMsg;
};

#endif // !defined(AFX_MAINTMSG_H__05EBA7B1_C09C_4C1C_9819_E176E2821808__INCLUDED_)
